#include <iostream>
#include "bloob.h"

struct my_game : game {
	my_game();
	void init(settings& settings);
	void update();
	void render(image& target);

	image img;
	double time;
};

my_game::my_game() :
	img("test.png"),
	time(0.0)
{}

void my_game::init(settings& settings) {
}

void my_game::update() {
	time += 1.0 / 60.0;
}

void my_game::render(image& target) {
	target.clear(0xffdddd);
	auto pos = vec2i(std::sin(time*TAU/100), std::cos(time*TAU/100));
	std::cout << pos << std::endl;
	target.draw(img, vec2i(320, 180) + pos);
}

int main(int argc, char* argv[]) {
	my_game game;
	game.run();
	return 0;
}
